Opened 4 years ago

Closed 7 months ago

#18469 closed defect (wontfix)

fte pluggable transport is not working in Tor Browser nightly

Reported by: boklm Owned by: tbb-team
Priority: Medium Milestone:
Component: Applications/Tor Browser Version:
Severity: Normal Keywords:
Cc: kpdyer, mcs Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

The fte pluggable transport is not working in Tor Browser nightly:
http://test-reports.tbb.torproject.org/reports/r/tbb-nightly-2016-03-03-Fedora20-x86_64/tor-browser-linux64-tbb-nightly_ALL.tar.xz.html#tor_fte

The boostraping stays at 10% and never ends:

Feb 27 12:27:57.634 [notice] Tor v0.2.8.1-alpha-dev (git-3687526c668adc7a) running on Linux with Libevent 2.0.22-stable, OpenSSL 1.0.1q and Zlib 1.2.8.
Feb 27 12:27:57.634 [notice] Tor can't help you if you use it wrong! Learn how to be safe at https://www.torproject.org/download/download#warning
Feb 27 12:27:57.634 [notice] This version is not a stable Tor release. Expect more bugs than usual.
Feb 27 12:27:57.634 [notice] Read configuration file "/tmp/kQ2Fx2Vzkd".
Feb 27 12:27:57.634 [notice] Read configuration file "/home/tbbtests/tor-browser-bundle-testsuite/tmp/5NGKF0Yttl/tor-browser/Browser/TorBrowser/Data/Tor/torrc".
Feb 27 12:27:57.637 [notice] Opening Socks listener on 127.0.0.1:9550
Feb 27 12:27:57.637 [notice] Opening Control listener on 127.0.0.1:9551
Feb 27 12:27:57.000 [notice] Parsing GEOIP IPv4 file /home/tbbtests/tor-browser-bundle-testsuite/tmp/5NGKF0Yttl/tor-browser/Browser/TorBrowser/Data/Tor/geoip.
Feb 27 12:27:57.000 [notice] Bootstrapped 0%: Starting
Feb 27 12:27:57.000 [notice] Delaying directory fetches: No running bridges
Feb 27 12:27:59.000 [notice] Bootstrapped 5%: Connecting to directory server
Feb 27 12:27:59.000 [warn] The connection to the SOCKS5 proxy server at 127.0.0.1:56935 just failed. Make sure that the proxy server is up and running.
Feb 27 12:27:59.000 [notice] Bootstrapped 10%: Finishing handshake with directory server
Feb 27 12:28:07.000 [notice] New control connection opened from 127.0.0.1.
Feb 27 12:33:08.000 [notice] Catching signal TERM, exiting cleanly.

The nightly build is using the master commit from libfte and fteproxy.

Child Tickets

Change History (6)

comment:1 Changed 4 years ago by mcs

Cc: mcs added

comment:2 Changed 12 months ago by arma

So, did this get resolved? Or is it still only broken in the nightlies? Or did the breakage go to stable and nobody noticed / fixed it?

comment:3 Changed 12 months ago by arma

(In theory once we do #26920 well enough, we can close the book on fte and whatever bugs have accumulated.)

comment:4 Changed 12 months ago by gk

I think it is still broken as there has not been any substantial commit to master in three years. But I have not checked. That said with the switch to rbm/tor-browser-build we stopped using FTE's master branch for testing in nightly builds and used instead the known working commit we use in the alpha and stable series, too. This still works with custom FTE bridges but the ones we ship seem to have stopped working meanwhile. (see: #28521)

So, even without having #26920 fixed FTE's usefulness is highly questionable and I am thinking about just removing it from Tor Browser (#28521 being the final nail on its coffin) as we a) don't have it available on all platforms due to lack of maintenance and b) there are bugs open like this one due to lack of maintenance.

comment:5 Changed 12 months ago by boklm

The number of fte users over the past year has been quite low, with a maximum of 25 users per day:
https://metrics.torproject.org/userstats-bridge-transport.html?start=2017-08-22&end=2018-11-20&transport=fte

Since mid October (maybe this is when the default bridges stopped working?), it dropped to no more than 1 user:
https://metrics.torproject.org/userstats-bridge-transport.html?start=2018-08-22&end=2018-11-20&transport=fte

So maybe we should remove it when the next toolchain updates break the build. Or earlier if there is no default bridges working.

comment:6 Changed 7 months ago by boklm

Resolution: wontfix
Status: newclosed

Closing, as we are going to drop FTE soon: #30319.

Note: See TracTickets for help on using tickets.